Loading...
Searching...
No Matches
elastix::TransformIO Class Reference

`#include <elxTransformIO.h>`

## Detailed Description

Definition at line 36 of file elxTransformIO.h.

## Static Public Member Functions

static std::string | ConvertITKNameOfClassToElastixClassName (const std::string &itkNameOfClass)
template<unsigned NDimension>
static itk::SmartPointer< itk::CompositeTransform< double, NDimension > > | ConvertToCompositionOfItkTransforms (const itk::AdvancedCombinationTransform< double, NDimension > &advancedCombinationTransform)
template<unsigned NDimension>
static itk::SmartPointer< itk::CompositeTransform< double, NDimension > > | ConvertToItkCompositeTransform (const itk::AdvancedCombinationTransform< double, NDimension > &advancedCombinationTransform)
template<unsigned NDimension>
static itk::SmartPointer< itk::Transform< double, NDimension, NDimension > > | ConvertToSingleItkTransform (const itk::Transform< double, NDimension, NDimension > &elxTransform)
static itk::OptimizerParameters< double > | GetParameters (const bool fixed, const itk::TransformBase &transform)
template<typename TElastixTransform>
static std::string | MakeDeformationFieldFileName (const TElastixTransform &elxTransform)
static itk::TransformBase::Pointer | Read (const std::string &fileName)
static void | SetParameters (const bool fixed, itk::TransformBase &transform, const itk::OptimizerParameters< double > &parameters)
static void | Write (const itk::Object &itkTransform, const std::string &fileName)

## Static Private Member Functions

static itk::TransformBase::Pointer | ConvertItkTransformBaseToSingleItkTransform (const itk::TransformBase &elxTransform)
static std::string | MakeDeformationFieldFileName (const Configuration &configuration, const std::string &transformParameterFileName)

## Member Function Documentation

## ConvertITKNameOfClassToElastixClassName()

std::string elastix::TransformIO::ConvertITKNameOfClassToElastixClassName | ( | const std::string & | itkNameOfClass | ) |

static

Converts the name of an ITK Transform class (as returned by GetNameOfClass()) to the corresponding elastix class name (as returned by elxGetClassName()).

## ConvertItkTransformBaseToSingleItkTransform()

itk::TransformBase::Pointer elastix::TransformIO::ConvertItkTransformBaseToSingleItkTransform | ( | const itk::TransformBase & | elxTransform | ) |

static private

## ConvertToCompositionOfItkTransforms()

template<unsigned NDimension>

itk::SmartPointer< itk::CompositeTransform< double, NDimension > > elastix::TransformIO::ConvertToCompositionOfItkTransforms | ( | const itk::AdvancedCombinationTransform< double, NDimension > & | advancedCombinationTransform | ) |

inline static

Converts the specified combination of transforms from elastix to the corresponding composition of ITK transform. Returns null when the combination transform does not use composition, or when some of the transforms does not have a corresponding ITK transform.

Definition at line 92 of file elxTransformIO.h.

## ConvertToItkCompositeTransform()

template<unsigned NDimension>

itk::SmartPointer< itk::CompositeTransform< double, NDimension > > elastix::TransformIO::ConvertToItkCompositeTransform | ( | const itk::AdvancedCombinationTransform< double, NDimension > & | advancedCombinationTransform | ) |

inline static

Converts the specified combination transform from elastix to the corresponding ITK composite transform. Returns null when the combination transform does not use composition.

Definition at line 63 of file elxTransformIO.h.

## ConvertToSingleItkTransform()

template<unsigned NDimension>

itk::SmartPointer< itk::Transform< double, NDimension, NDimension > > elastix::TransformIO::ConvertToSingleItkTransform | ( | const itk::Transform< double, NDimension, NDimension > & | elxTransform | ) |

inline static

Converts the specified single transform from elastix to the corresponding ITK transform. Returns null when ITK has no transform type that corresponds with this elastix transform.

Definition at line 125 of file elxTransformIO.h.

## GetParameters()

itk::OptimizerParameters< double > elastix::TransformIO::GetParameters | ( | const bool | fixed,
|  | const itk::TransformBase & | transform )

inline static

Definition at line 40 of file elxTransformIO.h.

## MakeDeformationFieldFileName() [1/2]

std::string elastix::TransformIO::MakeDeformationFieldFileName | ( | const Configuration & | configuration,
|  | const std::string & | transformParameterFileName )

static private

## MakeDeformationFieldFileName() [2/2]

template<typename TElastixTransform>

std::string elastix::TransformIO::MakeDeformationFieldFileName | ( | const TElastixTransform & | elxTransform | ) |

inline static

Makes the deformation field file name, as used by BSplineTransformWithDiffusion and DeformationFieldTransform.

Definition at line 153 of file elxTransformIO.h.

## Read()

itk::TransformBase::Pointer elastix::TransformIO::Read | ( | const std::string & | fileName | ) |

static

## SetParameters()

void elastix::TransformIO::SetParameters | ( | const bool | fixed,
|  | itk::TransformBase & | transform,
|  | const itk::OptimizerParameters< double > & | parameters )

inline static

Definition at line 46 of file elxTransformIO.h.

## Write()

void elastix::TransformIO::Write | ( | const itk::Object & | itkTransform,
|  | const std::string & | fileName )

static

Writes the specified transform to file.

Note
  The transform parameter type is a reference to itk::Object, rather than itk::TransformBase, to support the use case of ElastixRegistrationMethod::GenerateData(), which uses an itk::Object pointer to an external transform.

Generated on 1768596610 for elastix by 1.15.0 |